ranges::views::remove_fn Struct Reference
Inheritance diagram for ranges::views::remove_fn:

## Synopsis of methods

constexpr remove_fn | remove {}

## Additional Inherited Members

Public Member Functions inherited from ranges::views::remove_base_fn
template<typename Rng , typename Value >
constexpr auto | operator() (Rng &&rng, Value value) const requires move_constructible< Value > &&viewable_range< Rng > &&input_range< Rng > &&indirectly_comparable< iterator_t< Rng >
template<typename Rng , typename Value , typename Proj >
constexpr auto | operator() (Rng &&rng, Value value, Proj proj) const requires move_constructible< Value > &&viewable_range< Rng > &&input_range< Rng > &&indirectly_comparable< iterator_t< Rng >
Public Member Functions inherited from ranges::views::remove_bind_fn
template<typename Value >
constexpr auto | operator() (Value value) const
template<typename Value , typename Proj >
constexpr auto | operator() (Value &&value, Proj proj) const requires(!range< Value >)
Public Attributes inherited from ranges::views::remove_base_fn
constexpr auto Value const | equal_to
constexpr auto Value const | Proj